summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Ruan K. F2015-01-22 00:31:48 +0100
committer Willy Sudiarto Raharjo2015-01-22 00:34:21 +0100
commitb3e77bae26666f130de563180266ec376757acb4 (patch)
treedc692daca71a4e57bb4f1484eb4d4620a1e438f6 /misc
parent9d86666900f48438411aededdaa483ee8f12c595 (diff)
downloadslackbuilds-b3e77bae26666f130de563180266ec376757acb4.tar.gz
misc/drg2sbg: Added (convert I-Doser files to SBaGen scripts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/drg2sbg/README15
-rw-r--r--misc/drg2sbg/drg2sbg.SlackBuild102
-rw-r--r--misc/drg2sbg/drg2sbg.info10
-rw-r--r--misc/drg2sbg/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/misc/drg2sbg/README b/misc/drg2sbg/README
new file mode 100644
index 0000000000..52508529e2
--- /dev/null
+++ b/misc/drg2sbg/README
@@ -0,0 +1,15 @@
+This program converts the .drg proprietary file format into the open source SBaGen format.
+
+I-Doser is a company that produces Binaural brainwaves to simulate different states.
+
+The problem is that they don't provide a doser application for Linux, and their mp3 collection is limited,
+with this program you can convert the .drg file to an .sbg and then using SBaGen (an open source application
+that they use as main engine to generate the tones) you can convert it to wav and (if desired) to mp3 or similar.
+
+This project will never be possible without the help of "The Unofficial I-Doser Blog" and their steAlth's DRG Author
+by konstAnt and khAttAm to tell the truth this is a rip off stripped version of konstAnt and KhAttAm steAlth's DRG Author.
+They did all the work with the .drg files, I just port some parts of it to C.
+
+Optional dependencies :
+ * sbagen (to play and/or convert sbg files to WAV);
+ * lame (to convert WAV files to MP3).
diff --git a/misc/drg2sbg/drg2sbg.SlackBuild b/misc/drg2sbg/drg2sbg.SlackBuild
new file mode 100644
index 0000000000..e966e2f72f
--- /dev/null
+++ b/misc/drg2sbg/drg2sbg.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for drg2sbg
+
+# Copyright 2015 Ruan K. F <ruan.klein@gmail.com> Brazil, ParanĂ¡
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=drg2sbg
+VERSION=${VERSION:-2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="AUTHORS ChangeLog README COPYING"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/drg2sbg/drg2sbg.info b/misc/drg2sbg/drg2sbg.info
new file mode 100644
index 0000000000..ae5fe84d72
--- /dev/null
+++ b/misc/drg2sbg/drg2sbg.info
@@ -0,0 +1,10 @@
+PRGNAM="drg2sbg"
+VERSION="2.2"
+HOMEPAGE="https://code.google.com/p/drg2sbg/"
+DOWNLOAD="https://drg2sbg.googlecode.com/files/drg2sbg-2.2.tar.gz"
+MD5SUM="63d0050cf160e5dbefe37f13307102d3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ruan K. F"
+EMAIL="ruan.klein@gmail.com"
diff --git a/misc/drg2sbg/slack-desc b/misc/drg2sbg/slack-desc
new file mode 100644
index 0000000000..f1a2c44d71
--- /dev/null
+++ b/misc/drg2sbg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+drg2sbg: drg2sbg (convert I-Doser files to SBaGen scripts)
+drg2sbg:
+drg2sbg: This program converts the .drg proprietary file format into the open
+drg2sbg: source SBaGen format.
+drg2sbg:
+drg2sbg: I-Doser is a company that produces Binaural brainwaves to simulate
+drg2sbg: different states.
+drg2sbg:
+drg2sbg: Homepage: https://code.google.com/p/drg2sbg
+drg2sbg:
+drg2sbg: